POS
Cancel Order
Cancel a pending POS order.
Cancel Order
Cancel a POS order that has not been paid. If a PSP token exists, it is cancelled at the PSP.
Endpoint
| Method | URL |
|---|---|
| POST | https://api.payorc.com/pos/v1/orders/:order_id/cancel |
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
order_id | String | Yes | PayOrc p_order_id |
Headers
| Header | Type | Required | Description |
|---|---|---|---|
merchant-key | String | Yes | POS Web API key |
merchant-secret | String | Yes | POS Web API secret |
Cancellable statuses
PENDING, INITIATED, FAILED
Response — Success (200)
{
"data": {
"p_order_id": "1000010035",
"order_status": "CANCELLED"
},
"message": "Order cancelled",
"status": "success",
"code": "00"
}cURL
curl -X POST "https://api.payorc.com/pos/v1/orders/1000010035/cancel" \
-H "merchant-key: {{posweb-key}}" \
-H "merchant-secret: {{posweb-secret}}"